parse_str
printf
String Functions
PHP Manual

# print

(PHP 4, PHP 5)

print — Output a string

### Description

int print ( string `$arg` )

Outputs `arg`.

print() is not actually a real function (it is a language construct) so you are not required to use parentheses with its argument list.

### Parameters

`arg`

  The input data.

### Return Values

Returns 1, always.

### Examples

Example #1 print() examples

`<?php
print("Hello World");
print "print() also works without parentheses.";
print "This spans
multiple lines. The newlines will be
output as well";
print "This spans\nmultiple lines. The newlines will be\noutput as well.";
print "escaping characters is done \"Like this\".";
// You can use variables inside of a print statement
$foo = "foobar";
$bar = "barbaz";
print "foo is $foo"; // foo is foobar
// You can also use arrays
$bar = array("value" => "foo");
print "this is {$bar['value']} !"; // this is foo !
// Using single quotes will print the variable name, not the value
print 'foo is $foo'; // foo is $foo
// If you are not using any other characters, you can just print variables
print $foo; // foobar
print <<<END
This uses the "here document" syntax to output
multiple lines with $variable interpolation. Note
that the here document terminator must appear on a
line with just a semicolon no extra whitespace!
END;
?>`

### Notes

> Note: Because this is a language construct and not a function, it cannot be called using variable functions

### See Also

- echo() - Output one or more strings
- printf() - Output a formatted string
- flush() - Flush the output buffer
- Heredoc syntax

parse_str
printf
String Functions
PHP Manual